Package org.eclipse.net4j.util.io

## Interface ZIPUtil.UnzipHandler

- All Known Implementing Classes:
    `ZIPUtil.FileSystemUnzipHandler`
  Enclosing class:
    ZIPUtil

      public static interface ZIPUtil.UnzipHandler

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `unzipDirectory​(java.lang.String name)` |
    `void` | `unzipFile​(java.lang.String name, java.io.InputStream zipStream)` |

- - ### Method Detail

    - #### unzipDirectory

          void unzipDirectory​(java.lang.String name)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### unzipFile

          void unzipFile​(java.lang.String name,
                         java.io.InputStream zipStream)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`